aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-gobject3/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-07-10 09:23:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-07-10 09:25:36 +0000
commit24472b3354739de4d56fca6b5d2ff9bb28976282 (patch)
tree92f058a2b1b4a1825791844c05e900b651157eb7 /testing/py-gobject3/APKBUILD
parent72bbff679e1c99feca8688002d12770f8e230f0d (diff)
downloadaports-24472b3354739de4d56fca6b5d2ff9bb28976282.tar.gz
aports-24472b3354739de4d56fca6b5d2ff9bb28976282.tar.bz2
aports-24472b3354739de4d56fca6b5d2ff9bb28976282.tar.xz
testing/py-gobject3: new aport
Python bindings for the GObject library http://www.pygtk.org/
Diffstat (limited to 'testing/py-gobject3/APKBUILD')
-rw-r--r--testing/py-gobject3/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-gobject3/APKBUILD b/testing/py-gobject3/APKBUILD
new file mode 100644
index 0000000000..cac25af611
--- /dev/null
+++ b/testing/py-gobject3/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=py-gobject3
+pkgver=3.8.3
+pkgrel=0
+pkgdesc="Python bindings for the GObject library"
+url="http://www.pygtk.org/"
+arch="all"
+license="GPL"
+depends=
+depends_dev="libffi-dev glib-dev"
+makedepends="$depends_dev python-dev py-cairo-dev gobject-introspection-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://ftp.gnome.org/pub/GNOME/sources/pygobject/${pkgver%.*}/pygobject-$pkgver.tar.xz"
+
+_builddir="$srcdir"/pygobject-$pkgver
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+ find $pkgdir -name "*.la" -print0 | xargs -0 rm -f
+}
+
+md5sums="1621d68fcd522575ed0a9e7017004319 pygobject-3.8.3.tar.xz"
+sha256sums="384b3e1b8d1e7c8796d7eb955380d62946dd0ed9c54ecf0817af2d6b254e082c pygobject-3.8.3.tar.xz"
+sha512sums="e037aaf2ce78cffb09676282fe50d5188a5f4e832cd4cbb215e44fa515ded4c3591fa9df3b9a2a4f31f1e5c2951967fd429c1373739b23b73db46d36dfb14144 pygobject-3.8.3.tar.xz"